TypeScript SDK
import { Creem } from "creem";
const creem = new Creem({
apiKey: process.env["CREEM_API_KEY"] ?? "",
});
async function run() {
const result = await creem.customerCredits.getAccount("<id>");
console.log(result);
}
run();curl --request GET \
--url https://api.creem.io/v1/customer-credits/accounts/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.creem.io/v1/customer-credits/accounts/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.creem.io/v1/customer-credits/accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "cca_abc123",
"store_id": "<string>",
"customer_id": "cust_abc123",
"name": "default",
"unit_label": "credits",
"status": "active",
"created_at": "<string>",
"updated_at": "<string>"
}Customer Credits
Retrieve a customer credits account
Get details of a customer credits account by ID.
GET
/
v1
/
customer-credits
/
accounts
/
{id}
TypeScript SDK
import { Creem } from "creem";
const creem = new Creem({
apiKey: process.env["CREEM_API_KEY"] ?? "",
});
async function run() {
const result = await creem.customerCredits.getAccount("<id>");
console.log(result);
}
run();Authorizations
API key for authentication. You can find your API key in the Creem dashboard under Settings > API Keys.
Path Parameters
Response
Account details
Account ID
Example:
"cca_abc123"
Store ID
Owner ID
Example:
"cust_abc123"
Account name
Example:
"default"
Unit label
Example:
"credits"
Account status
Available options:
active, frozen, closed Creation timestamp
Last update timestamp
⌘I